package com.engine.organization.service;

import com.engine.organization.entity.staff.param.StaffSearchParam;

import java.util.Collection;
import java.util.Map;

/**
 * @description:
 * @author:dxfeng
 * @createTime: 2022/05/25
 * @version: 1.0
 */
public interface StaffService {
    /**
     * 编制列表
     *
     * @param params
     * @return
     */
    Map<String, Object> listPage(StaffSearchParam params);

    /**
     * 新增编制
     * @param param
     * @return
     */
    int saveStaff(StaffSearchParam param);

    /**
     * 更新编制信息
     *
     * @param param
     * @return
     */
    int updateStaff(StaffSearchParam param);

    /**
     * 根据ID批量删除编制
     *
     * @param ids
     */
    int deleteByIds(Collection<Long> ids);

    /**
     * 获取搜索条件
     *
     * @param params
     * @return
     */
    Map<String, Object> getSearchCondition(Map<String, Object> params);


    /**
     * 获取新增、编辑表单
     *
     * @param params
     * @return
     */
    Map<String, Object> getForm(Map<String, Object> params);

    /**
     * 获取列表页面按钮信息
     * @return
     */
    Map<String, Object> getHasRight();
}
